"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const URL = require("url");
const QueryString = require("querystring");
//import * as Cookie from "cookie";
class Web {
    static GetPath(request) {
        let path = URL.parse(request.url);
        return path.pathname;
    }
    static GetRequestParameter(request) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = null;
            if (request.method == "POST") {
                //let data = await RequestHandler.ParseFormData(request);
                //data.fields = data.fields.data == null ? null : JSON.parse(data.fields.data);
                //data.files = await this.PrepareFiles(request, data.files);
                //result = data;
            }
            else {
                let url = URL.parse(request.url);
                let query = QueryString.parse(url.query);
                result = query.data != null ? { fields: JSON.parse(query.data) } : { fields: query };
            }
            return result;
        });
    }
    static CopyCookies(from, to) {
        if (from.headers["set-cookie"] != null) {
            to.setHeader("Set-Cookie", from.headers["set-cookie"]);
        }
    }
}
exports.Web = Web;
//# sourceMappingURL=Web.js.map