"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
//import * as Utilities from "../../../utilities/All";
//import { ServerRequest } from "../ServerRequest";
const OS = require("os");
class Status {
    static Get(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            let status = {
                version: "0.0.1",
                os: OS.platform(),
                s: OS.userInfo()
            };
            return new Promise((resolve, reject) => {
                response.on("error", function (err) { reject(err); });
                response.end(JSON.stringify(status), "application/json", function () { resolve(); });
            });
        });
    }
}
exports.Status = Status;
//# sourceMappingURL=Status.js.map