import * as HTTP from "http";
//import * as Utilities from "../../../utilities/All";
//import { ServerRequest } from "../ServerRequest";
import * as OS from "os";

export class Status {

    public static async Get(request:HTTP.IncomingMessage, response:HTTP.ServerResponse):Promise<void> {

        let status = {
            version: "0.0.1",
            os: OS.platform(),
            s: OS.userInfo()
        };

        return new Promise<void> ((resolve,reject) => {
            response.on("error", function(err) { reject(err); });
            response.end(JSON.stringify(status), "application/json", function(){ resolve(); });
        });
    }

}