"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Build_1 = require("./Build");
const Status_1 = require("./Status");
function Serve(path, request, response) {
    return __awaiter(this, void 0, void 0, function* () {
        // status
        if (path == "/status") {
            yield Status_1.Status.Get(request, response);
        }
        // build
        else if (path == "/local/build/archive") {
            yield Build_1.Build.BuildLocal(request, response);
        }
        else if (path == "/local/build/update") {
            yield Build_1.Build.BuildUpdate(request, response);
        }
    });
}
exports.Serve = Serve;
//# sourceMappingURL=All.js.map