import * as HTTP from "http";
import { Build } from "./Build";
import { Status } from "./Status";

export async function Serve(path:string, request:HTTP.IncomingMessage, response:HTTP.ServerResponse):Promise<void> {

    // status
    if(path == "/status") { await Status.Get(request, response); }

    // build
    else if(path == "/local/build/archive") { await Build.BuildLocal(request, response); }
    else if(path == "/local/build/update") { await Build.BuildUpdate(request, response); }
}